<template>
  <v-card>
    <v-date-picker
      class="pa-3"
      v-model="dates"
      landscape
      fullWidth
      showCurrent
      range
    ></v-date-picker>
  </v-card>
</template>

<script>
export default {
  name: "Airports",
  computed: {
    dates: {
      get() {
        return this.$store.getters.getPeriod;
      },
      set(value) {
        this.$store.dispatch("setPeriod", value);
      },
    },
  },
  mounted: function() {
    let oneWeek = new Date();
    oneWeek.setDate(new Date().getDate() + 7);
    let twoWeeks = new Date();
    twoWeeks.setDate(new Date().getDate() + 14);

    this.dates = [
      oneWeek.toISOString().split("T")[0],
      twoWeeks.toISOString().split("T")[0],
    ];
  },
};
</script>
